/**
 * @description
 * @author <%= author %>
 * @date <%= date %>
 */

const {
    React,
    PropTypes
} = window;

import If from 'common/components/if.es6';
import ClassSet from 'util/classSet.es6'
import ContentWrapper from '/common/components/contentWrapper.es6';
import { Header } from 'common/components/header/header.es6';

export default class <%= routePageNameComponentForm %> extends React.Component {
    constructor(props) {
        super(props);
    }

    render() {
        let props = this.props;
        let { teacherInfo, userInfo } = props.pageData;

        return (
            <ContentWrapper options={{ hideFooter: true }}>
                <Header
                    teacherInfo={teacherInfo}
                    userInfo={userInfo}
                    supportFixed={true}
                ></Header>
                <div className="index-page">
                    <p>{'来自路由页面 <%= routePageNameComponentForm %>的内容'}</p>
                </div>
            </ContentWrapper>
        );
    }
}
